org.jgroups.util

## Class DirectExecutor

- java.lang.Object
- - org.jgroups.util.DirectExecutor

- All Implemented Interfaces:
    java.util.concurrent.Executor

      public class DirectExecutor
      extends java.lang.Object
      implements java.util.concurrent.Executor

  Author:
    Bela Ban

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectExecutor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(java.lang.Runnable command)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectExecutor

          public DirectExecutor()

  - ### Method Detail

    - #### execute

          public void execute(java.lang.Runnable command)

      Specified by:
        `execute` in interface `java.util.concurrent.Executor`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.